Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
kcprotodb.h File Reference

prototype database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcregex.h>`
`#include <kcdb.h>`
`#include <kcplantdb.h>`

## Classes
class | kyotocabinet::ProtoDB< STRMAP, DBTYPE >
| Prototype implementation of database with STL. More...
class | kyotocabinet::ProtoDB< STRMAP, DBTYPE >::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::ProtoDB< STRMAP, DBTYPE >::TranLog
| Transaction log.
class | kyotocabinet::ProtoDB< STRMAP, DBTYPE >::ScopedVisitor
| Scoped visitor.
## Namespaces
namespace | kyotocabinet
| All symbols of Kyoto Cabinet.
## Typedefs
typedef ProtoDB< StringHashMap, BasicDB::TYPEPHASH > | kyotocabinet::ProtoHashDB
| An alias of the prototype hash database.
typedef ProtoDB< StringTreeMap, BasicDB::TYPEPTREE > | kyotocabinet::ProtoTreeDB
| An alias of the prototype tree database.

## Detailed Description

prototype database